/*******************************************************************************
*   Author       -  Kiraly Tibor
*                   http://www.tkiraaly.hu
*   Date         -  2016.01.28.
*   Chip         -  Atmel ATtiny13A
*   Compiler     -  avr-gcc ( WinAVR)
*
*   Meres ADC-vel, tarolas eepromba
*
********************************************************************************
*   PonyProg Configuration and Security Bits (bepipalva):
*
*   CKSEL1 -, CKSEL0 P      - Internal Oscillator 9,6 MHz
*   CKDIV8 P                - Divide clock by 8
*   
*******************************************************************************/
#define F_CPU    1,2 MHZ                    // orajel




#include "tkiraaly_attiny13a.h"
#include <util/delay.h>




int main( void)
{
   ADC_8BIT;                           // 8 bit felbonas
   ADC_VREF_AVCC;                      // a tap a referencia feszultseg
   ADC_IN2;                            // 2. bemenet kivalasztasa
   ADC_FREE_RUN;                       // folyamatos meres
   _delay_ms( 500);
   while( B_R( EECR, EEPE));           // varakozas elozo EEPROM muvelet befejezesere
   EEARL= 1;                           // cim
   EEDR= ADCH;                         // adat
   B_1( EECR, EEMPE);                  // EEPROM irasa
   B_1( EECR, EEPE);
   for(;;){}
}

